// Borland C++ Builder
// Copyright (c) 1995, 2002 by Borland Software Corporation
// All rights reserved

// (DO NOT EDIT: machine generated header) 'LogBase.pas' rev: 6.00

#ifndef LogBaseHPP
#define LogBaseHPP

#pragma delphiheader begin
#pragma option push -w-
#pragma option push -Vx
#include <Dialogs.hpp>	// Pascal unit
#include <Forms.hpp>	// Pascal unit
#include <Controls.hpp>	// Pascal unit
#include <SysUtils.hpp>	// Pascal unit
#include <Graphics.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <Messages.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Logbase
{
//-- type declarations -------------------------------------------------------
#pragma option push -b-
enum TSMLScreenshotFormat { sfBitmap, sfJpeg };
#pragma option pop

#pragma option push -b-
enum TSMLDialogOption { doScreenshot, doEmail, doWeb };
#pragma option pop

typedef Set<TSMLDialogOption, doScreenshot, doWeb>  TSMLDialogOptions;

class DELPHICLASS TSMLSendTo;
class PASCALIMPLEMENTATION TSMLSendTo : public Classes::TPersistent 
{
	typedef Classes::TPersistent inherited;
	
private:
	AnsiString FEMail;
	AnsiString FEMailSubject;
	AnsiString FEMailBody;
	bool FEMailOpen;
	AnsiString FWWW;
	bool FAttachScreenShot;
	TSMLScreenshotFormat FScreenshotFormat;
	bool FAttachLog;
	bool FResolveNames;
	Classes::TStrings* FAdditionalFiles;
	TSMLDialogOptions FOptions;
	void __fastcall SetAdditionalFiles(Classes::TStrings* Value);
	
public:
	__fastcall virtual TSMLSendTo(void);
	__fastcall virtual ~TSMLSendTo(void);
	
__published:
	__property AnsiString EMail = {read=FEMail, write=FEMail};
	__property AnsiString EMailSubject = {read=FEMailSubject, write=FEMailSubject};
	__property AnsiString EMailBody = {read=FEMailBody, write=FEMailBody};
	__property bool EMailOpenBeforeSend = {read=FEMailOpen, write=FEMailOpen, default=1};
	__property AnsiString WWW = {read=FWWW, write=FWWW};
	__property bool AttachScreenShot = {read=FAttachScreenShot, write=FAttachScreenShot, default=1};
	__property TSMLScreenshotFormat ScreenshotFormat = {read=FScreenshotFormat, write=FScreenshotFormat, default=0};
	__property bool AttachLog = {read=FAttachLog, write=FAttachLog, default=0};
	__property bool ResolveNames = {read=FResolveNames, write=FResolveNames, default=1};
	__property TSMLDialogOptions Options = {read=FOptions, write=FOptions, default=7};
	__property Classes::TStrings* AdditionalFiles = {read=FAdditionalFiles, write=SetAdditionalFiles};
};


class DELPHICLASS TSMLogBase;
class PASCALIMPLEMENTATION TSMLogBase : public Classes::TComponent 
{
	typedef Classes::TComponent inherited;
	
private:
	bool FActive;
	TSMLSendTo* FSendTo;
	AnsiString FLogFile;
	
protected:
	virtual void __fastcall SetActive(bool Value);
	
public:
	__fastcall virtual TSMLogBase(Classes::TComponent* AOwner);
	__fastcall virtual ~TSMLogBase(void);
	AnsiString __fastcall MAPIErrorDescription(int intErrorCode);
	void __fastcall SendLogByMail(void);
	void __fastcall SendLogByWWW(void);
	void __fastcall ClearLog(void);
	virtual void __fastcall WriteAsString(const AnsiString Value);
	void __fastcall WriteAsInteger(int Value);
	void __fastcall WriteAsFloat(double Value);
	void __fastcall WriteAsDateTime(System::TDateTime Value);
	
__published:
	__property bool Active = {read=FActive, write=SetActive, nodefault};
	__property AnsiString LogFile = {read=FLogFile, write=FLogFile};
	__property TSMLSendTo* SendTo = {read=FSendTo, write=FSendTo};
};


//-- var, const, procedure ---------------------------------------------------

}	/* namespace Logbase */
using namespace Logbase;
#pragma option pop	// -w-
#pragma option pop	// -Vx

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// LogBase
